Retrieve a vault entry
GET
/api/v1/vault/{agent_role}/entries/{entry_key}
const url = 'https://api.ultimateteam.ai/api/v1/vault/example/entries/example';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/vault/example/entries/example \ --header 'X-API-Key: <X-API-Key>'Decrypt and return the secret value for the specified entry.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”agent_role
required
Agent Role
string
entry_key
required
Entry Key
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
VaultEntryValue
Response model when explicitly retrieving a secret value.
object
entry_key
required
Entry Key
string
entry_type
required
Entry Type
string
value
required
Value
object
key
additional properties
any
Examplegenerated
{ "entry_key": "example", "entry_type": "example", "value": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}